<?php

// add jquery.pngFix.js file
drupal_add_js(drupal_get_path('theme', 'salamanderskins') . '/js/jquery.pngFix.js', 'theme');
drupal_add_js(drupal_get_path('theme', 'salamanderskins') . '/js/suckerfish.js', 'theme');


function salamanderskins_regions() {
	return array(
		'sidebar_left' => t('Left sidebar'),
		'sidebar_right' => t('Right sidebar'),
			'above' => t('Above'),
			'header' => t('Header'),
			'suckerfish' => t('Suckerfish Menu'),
		'user1' => t('User 1'),
		'user2' => t('User 2'),
		'user3' => t('User 3'),
			'content_top' => t('Top content'),
			'content_bottom' => t('Bottom content'),
		'user4' => t('User 4'),
		'user5' => t('User 5'),
		'user6' => t('User 6'),
			'below' => t('Below'),
			'footer' => t('Footer')
	);
} 

 
/*  Breadcrumb override  */
function salamanderskins_breadcrumb($breadcrumb) {
	if (!empty($breadcrumb)) {
		$breadcrumb[] = drupal_get_title();  // RADUT's full breadcrumb (  = › ,  = &#187; &raquo;)
		return '<div class="breadcrumb">'. implode(' &raquo; ', $breadcrumb) .'</div>';
	}
}


// Quick fix for the validation error: 'ID "edit-submit" already defined'
$elementCountForHack = 0;
function phptemplate_submit($element) {
	global $elementCountForHack;
	return str_replace('edit-submit', 'edit-submit-' . ++$elementCountForHack, theme('button', $element));
}

